jDiction Forum

Please login or register.

Login with username, password and session length
Advanced search  

News:

jDiction 2.2.0 released. http://jdiction.org/downloads

Author Topic: Problem with the module  (Read 3375 times)

Brueni92

  • Newbie
  • *
  • Posts: 11
    • View Profile
Problem with the module
« on: September 17, 2013, 10:34:50 am »

Hi there
I have a Problem with the module.
I am using jdiction already on a website and its all working fine. Now I installed it to a new site.
I checked and the settings are all the same. But the module doesnt show english(wether the text, nor the flag, so its not a problem with the flag).
I have enabled the database, i have  two languages. If I change the url from /de/ to /en/ it shows the translation and everything is working just fine, but I just cant switch between the laguages via the module. An option would be to reinstall jdiction, but im afraid of loosing the content.
Someone might know what the problem is. Its like the module doesnt recognize that there is a translated language someone might want to switch to....if i change the url to /en/ and the wbsite is shown in english, there is still just the german option in the module and if i hit it, it translates back to german no error what so ever.

Thanks for your help

I am using joomla 2.5.14
PHP 5.3.1
Database 5.1.41
jdiction 0.9.9.10
Logged

Harald Leithner

  • Administrator
  • Hero Member
  • *****
  • Posts: 1642
    • View Profile
Re: Problem with the module
« Reply #1 on: September 17, 2013, 10:39:27 am »

Whats the access level of the content languages?

j4i PHP 5.3.1 is a really old version.
Logged

Brueni92

  • Newbie
  • *
  • Posts: 11
    • View Profile
Re: Problem with the module
« Reply #2 on: September 17, 2013, 04:03:44 pm »

the accesslevel is public for both languages, i know it is old, i had to use an old one because the joomla version was 1.5 and i had to update it first, however, i could update the php version (new xampp version) and see if that was the problem...
Logged

Brueni92

  • Newbie
  • *
  • Posts: 11
    • View Profile
Re: Problem with the module
« Reply #3 on: September 17, 2013, 04:24:02 pm »

just updated to     5.4.19  but it didnt do the job, still no english option in the module
Logged

Harald Leithner

  • Administrator
  • Hero Member
  • *****
  • Posts: 1642
    • View Profile
Re: Problem with the module
« Reply #4 on: September 17, 2013, 04:31:43 pm »

I need access to this site.
Logged

Brueni92

  • Newbie
  • *
  • Posts: 11
    • View Profile
Re: Problem with the module
« Reply #5 on: September 17, 2013, 04:59:21 pm »

that will be a problem since it is hosted only local using xampp
what i can give you is this:
Version    

    Library Version: 0.9.9.10
    Joomla Version 2.5.14 is untested.

Plugin    

    JDiction Plugin is enabled
    JDiction Plugin is loaded at position 0 should be 1
    Languagefilter is enabled

Datenbank    

    jDiction Database Driver is selected

Sprachen    

    Seam to be good

Modul    

    Module is enabled

but i cant see anything suspicious there
Logged

Harald Leithner

  • Administrator
  • Hero Member
  • *****
  • Posts: 1642
    • View Profile
Re: Problem with the module
« Reply #6 on: September 17, 2013, 07:52:52 pm »

Teamviewer/UNC
Logged

Brueni92

  • Newbie
  • *
  • Posts: 11
    • View Profile
Re: Problem with the module
« Reply #7 on: September 18, 2013, 09:41:19 am »

ok i found out some new stuff:
i realized that on the working site, i was using version 0.9.9.1 instead of 0.9.9.10
what i did was uninstall the newer one and install the old one, what i got is:
tons of fails on the website but i also see both languages now on the module
have a picture here
i really need this to work, so i thought i just go with the old version if the new one is not working, but i have to get rid of the fails...

as it looks like its a problem with the different php version, might that be?
« Last Edit: September 18, 2013, 09:47:35 am by Brueni92 »
Logged

Harald Leithner

  • Administrator
  • Hero Member
  • *****
  • Posts: 1642
    • View Profile
Re: Problem with the module
« Reply #8 on: September 18, 2013, 10:55:04 am »

you should really don't use 0.9.9.1 there are many bugfixes.

As I E-Mail you send me the teamviewer credentials and I will look at it.
Logged

Brueni92

  • Newbie
  • *
  • Posts: 11
    • View Profile
Re: Problem with the module
« Reply #9 on: September 18, 2013, 12:40:02 pm »

problem solved:
the content language english had no rights...
Logged